#ifndef _2EASY4ME_MONSTER_H_
#define _2EASY4ME_MONSTER_H_

#include "character.hpp"

class Monster : public Character
{
  protected:
    int bounty;

  public:
    Monster(char *name)
        : Character(name)
    {
        this->bounty = 0;
    }

    Monster(char *name, int hp, int att, int def)
        : Character(name, hp, att, def)
    {
        this->bounty = 0;
    }

    Monster(char *name, int hp, int att, int def, int bounty)
        : Character(name, hp, att, def)
    {
        this->bounty = bounty;
    }

    int drop()
    {
        return bounty;
    }
};

#endif